* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
}

body {
   font-family: 'Times New Roman', Times, serif;
   min-height: 100vh;
   display: flex;
   flex-direction: column;
   background-color: #ffffff;
   color: #000000;
}
header, footer {
   padding: 20px;
   text-align: center;
   background-color: #ffdead;
   color: white;
}
main {
   flex: 1;
   display: flex;
   flex-wrap: wrap;
   justify-content: center;
   gap: 20px;
   padding: 20px;
}

.box {
   width: 300px;
   height: 220px;
   background-color: #ddd;
   display: flex;
   flex-direction: column;
   overflow: hidden;
}

.box img {
   width: 100%;
   height: 100%;
   object-fit: cover;
}

.box iframe {
   width: 100%;
   height: 100%;
}

.box p {
   text-align: center;
   padding: 6px;
   background-color: rgba(0, 0, 0, 0.7);
   color: white;
   font-size: 14px;
}


@media (max-width: 600px) {
   body {
       background-color: #ffffff;
       color: #fff2ba;
   }
   header, footer {
       background-color: #ffe3ba;
       color: #000000;
   }
}


@media (min-width: 601px) and (max-width: 900px) {
   body {
       background-color: #fff2ba;
       color: #000000;
   }
   header, footer {
       background-color: #ffe984;
       color: #ffffff;
   }
}


@media (min-width: 901px) {
   body {
       background-color: #ffffff;
       color: #fff2ba;
   }
   header, footer {
       background-color: #ffcc7f;
       color: #ffffff;
   }
}